h18331
s 00017/00000/00000
d D 1.1 82/08/03 08:45:44 cecily 1 0
e
u
U
t
T
I 1
#include	<stdio.h>

char *
gets(s)
char *s;
{
	register c;
	register char *cs;

	cs = s;
	while ((c = getchar()) != '\n' && c >= 0)
		*cs++ = c;
	if (c<0 && cs==s)
		return(NULL);
	*cs++ = '\0';
	return(s);
}
E 1
